TGStat
TGStat
Введите текст для поиска
Расширенный поиск каналов
  • Язык сайта
    flag Russian flag English flag Uzbek
  • Вход на сайт
  • Каталог
    Каталог каналов и чатов Региональные подборки Тематические подборки Платные каналы Поиск каналов
    Добавить канал/чат
  • Рейтинги
    Рейтинг каналов Рейтинг чатов Рейтинг публикаций
    Рейтинги брендов и персон
  • Аналитика
  • Поиск по публикациям
  • Мониторинг Telegram
  • Продвижение
    Реклама через Яндекс Бизнес Реклама в каналах через TGStat Agency Реклама на сайте TGStat.ru
MTik.pro новости

16 Jul, 12:42

Открыть в Telegram Поделиться Пожаловаться

открыл для себя новую запись ASN.
RFC5396 : Формат ASdot или ASdot+ (они немного разные).

asplain - простая десятичная запись ASN в виде одного числа.
asdot — формат, разбивающий 32‑битный ASN на две 16‑битные части: «старшую» и «младшую», разделённые точкой. То есть каждые 16 бит интерпретируем как отдельное число.

Оказалось, что пользоваться 32-битными ASN бывает комфортнее в ASdot. 😎

Вот пример для таблицы с диапазонами ASN в формате ASplain
asplain | comment
0 | reserved RFC7607
1 – 23455 | global
23456 | reserved AS_TRANS
23457 – 64495 | global
64496 – 64511 | Reserved RFC5398
64512 – 65534 | Reserved for Private Use RFC6996
65535 | Reserved RFC7300
65536 – 65551 | Reserved for use in documentation and sample code RFC5398
65552 – 131071 | Reserved
131072 – 4199999999 | global
4200000000 – 4294967294 | Reserved for Private Use RFC6996
4294967295 | Reserved RFC7300

А вот тоже самое, но в формате ASdot
asdot | comment
0 | Reserved RFC7607
1 – 23455 | global
23456 | Reserved AS_TRANS
23457 – 64495 | global
64496 – 64511 | Reserved RFC5398
64512 – 65534 | Reserved for Private Use RFC6996
65535 | Reserved RFC7300
1.0 – 1.15 | Reserved for use in documentation and sample code RFC5398
1.16 – 1.65535 | Reserved
2.0 – 64086.59903 | global
64086.59904 – 65535.65534 | Reserved for Private Use RFC6996
65535.65535 | Reserved RFC7300

Итого, если вы использовали приватную 16-битную ASN
64555 ,
то вы также можете использовать
64555.*****

С другой стороны приватные ASN вида
4 2** *** *** , тоже достаточно наглядны.

P.S.
в комментариях предлагаю привести примеры как ИИ переводят эти диапазоны из asplain в asdot (мне пока все опрошенные соврали)
RFC 5396: Textual Representation of Autonomous System (AS) Numbers
A textual representation for Autonomous System (AS) numbers is defined as the decimal value of the AS number. This textual representation is to be used by all documents, systems, and user interfaces referring to AS numbers. [STANDARDS-TRACK]

1.3k 0 3 19 1
Каталог
Каталог каналов и чатов Подборки каналов Поиск каналов Добавить канал/чат
Рейтинги
Рейтинг каналов Telegram Рейтинг чатов Telegram Рейтинг публикаций Рейтинги брендов и персон
API
API статистики API поиска публикаций API Callback
Наши каналы
@TGStat @TGStat_Chat @telepulse @TGStatAPI
Почитать
Академия TGStat Исследование Telegram 2019 Исследование Telegram 2021 Исследование Telegram 2023
Контакты
Справочный центр Поддержка Почта Вакансии
Всякая всячина
Пользовательское соглашение Политика конфиденциальности Публичная оферта
Наши боты
@TGStat_Bot @SearcheeBot @TGAlertsBot @tg_analytics_bot @TGStatChatBot